commit:     6f83385442c7e42e3c81699298d95c0418a0486e
Author:     David Roman <davidroman96 <AT> gmail <DOT> com>
AuthorDate: Thu Dec 28 15:14:16 2017 +0000
Commit:     Craig Andrews <candrews <AT> gentoo <DOT> org>
CommitDate: Thu Dec 28 15:30:53 2017 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=6f833854

app-backup/restic: Bump to 0.8.1

Closes: https://github.com/gentoo/gentoo/pull/6670

 app-backup/restic/Manifest            |  1 +
 app-backup/restic/restic-0.8.1.ebuild | 68 +++++++++++++++++++++++++++++++++++
 2 files changed, 69 insertions(+)

diff --git a/app-backup/restic/Manifest b/app-backup/restic/Manifest
index efca63c7126..82b90727e2d 100644
--- a/app-backup/restic/Manifest
+++ b/app-backup/restic/Manifest
@@ -1,2 +1,3 @@
 DIST restic-0.7.3.tar.gz 37062625 BLAKE2B 
0a50c1c6c1ffc8f5d5c0698341bfd1715faee0ab3392ddb065b75143babb45dcfee355f2a369771b4c256cafcb839dc401ad827e194b52d27a1c7582b9c3a1c3
 SHA512 
2d44b4fc363c7f6389c1f06469cf30ebeff4d6ade0bd4fcae1d7d9def3922936b45043b04f4072284b773df2c6487c58db6aea41c7de5c8184ca33ca3c44d44a
 DIST restic-0.8.0.tar.gz 37309494 BLAKE2B 
0c50ccbdabca2057a5d1f8a7326a3e143101daed7cf9eabf0deb2d4452bbd63fd57c3edc8be106c0123f3c4e01195e8042a8f70477c999b00069ffe3d4fcb1d5
 SHA512 
5f2205ac5caf91f119f1705dc1f8340c481fd27d809cdadbd8ff39ebbc910d98452626c2a9564300935746550a2604ed59aa095f3137788bd0dce87c0dcb14f9
+DIST restic-0.8.1.tar.gz 40330154 BLAKE2B 
6758ae4cd7b3caf1bb58b9b95ddd9b99422f2a5997f37317381ec2714a4bc369331e1ba5accb791a2733eddcebdb056256a25b837cad6926f86ec61265d95324
 SHA512 
02d45b70b94514d3491297dcd34f26db854b6153a1aa297aaa9c938e09d65429fbe0dedb3c028ad38c769049f814c7a923481adfe9962a35dc39a7477a80fdab

diff --git a/app-backup/restic/restic-0.8.1.ebuild 
b/app-backup/restic/restic-0.8.1.ebuild
new file mode 100644
index 00000000000..3cd921c0f6d
--- /dev/null
+++ b/app-backup/restic/restic-0.8.1.ebuild
@@ -0,0 +1,68 @@
+# Copyright 1999-2017 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+
+inherit golang-vcs-snapshot bash-completion-r1
+
+DESCRIPTION="A backup program that is fast, efficient and secure"
+HOMEPAGE="https://restic.github.io/";
+SRC_URI="https://github.com/restic/restic/archive/v${PV}.tar.gz -> ${P}.tar.gz"
+EGO_PN="github.com/restic/restic"
+
+LICENSE="BSD-2"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~x86"
+IUSE="test"
+
+DOCS=(
+       README.rst CONTRIBUTING.md doc/010_introduction.rst 
doc/020_installation.rst
+       doc/030_preparing_a_new_repo.rst doc/040_backup.rst 
doc/045_working_with_repos.rst
+       doc/050_restore.rst doc/060_forget.rst doc/070_encryption.rst 
doc/080_examples.rst
+       doc/090_participating.rst doc/100_references.rst doc/cache.rst 
doc/faq.rst
+       doc/index.rst doc/manual_rest.rst
+)
+
+DEPEND="
+       dev-lang/go
+       test? ( sys-fs/fuse:0 )"
+
+RDEPEND="sys-fs/fuse:0"
+
+S="${WORKDIR}/${P}/src/${EGO_PN}"
+
+src_compile() {
+       local mygoargs=(
+               -v
+               -work
+               -x
+               -tags release
+               -ldflags "-s -w -X main.version=${PV}"
+               -asmflags "-trimpath=${S}"
+               -gcflags "-trimpath=${S}"
+               -o restic ${EGO_PN}/cmd/restic
+       )
+
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go build "${mygoargs[@]}" || die
+}
+
+src_test() {
+       GOPATH="${WORKDIR}/${P}:$(get_golibdir_gopath)" \
+               go test -timeout 30m -v -work -x ${EGO_PN}/cmd/... 
${EGO_PN}/internal/... || die
+}
+
+src_install() {
+       dobin restic
+       einstalldocs
+
+       newbashcomp doc/bash-completion.sh "${PN}"
+
+       insinto /usr/share/zsh/site-functions
+       newins doc/zsh-completion.zsh _restic
+
+       local i
+       for i in doc/man/*; do
+               doman "$i"
+       done
+}

Reply via email to